summaryrefslogtreecommitdiffstats
path: root/calf
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2020-10-09 17:48:06 +0000
committer Eric Hameleers <alien@slackware.com>2020-10-09 17:48:06 +0000
commit9b914210d64f53de2b04095e10b6ca831cfb3212 (patch)
tree70db9dc49795383b79f6f548051b95ac9c5dcb98 /calf
parentc9de1868df23b346fe1368c6b2f5efb538e006da (diff)
downloadasb-9b914210d64f53de2b04095e10b6ca831cfb3212.tar.gz
asb-9b914210d64f53de2b04095e10b6ca831cfb3212.tar.xz
calf: updated to 0.90.3
Diffstat (limited to 'calf')
-rwxr-xr-xcalf/build/calf.SlackBuild21
1 files changed, 14 insertions, 7 deletions
diff --git a/calf/build/calf.SlackBuild b/calf/build/calf.SlackBuild
index 85f07dee..f625b0b9 100755
--- a/calf/build/calf.SlackBuild
+++ b/calf/build/calf.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
# $Id$
-# Copyright 2019 Eric Hameleers, Eindhoven, NL
+# Copyright 2019, 2020 Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -33,6 +33,8 @@
# Changelog:
# 0.90.1-1: 28/Feb/2019 by Eric Hameleers <alien@slackware.com>
# * Initial build.
+# 0.90.3-1: 09/oct/2019 by Eric Hameleers <alien@slackware.com>
+# * Update.
#
# Run 'sh calf.SlackBuild' to build a Slackware package.
# The package (.t?z) and .txt file as well as build logs are created in /tmp .
@@ -41,7 +43,7 @@
# -----------------------------------------------------------------------------
PRGNAM=calf
-VERSION=${VERSION:-0.90.1}
+VERSION=${VERSION:-0.90.3}
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(nproc) "}
TAG=${TAG:-alien}
@@ -157,9 +159,6 @@ echo Building ...
#sed -e 's/^docdir = .*$/docdir = @docdir@/' -i Makefile.in
sed -e 's/^docdir.*$//' -i Makefile.am
-# Replace check for lv2core, this is no longer present with lv2 >= 1.1.6.0
-# (see also: https://github.com/calf-studio-gear/calf/issues/220)
-sed -e 's/lv2core >= 6/lv2 >= 1.14/g' -i configure.ac
autoreconf -vif
LDFLAGS="$SLKLDFLAGS" \
@@ -189,6 +188,14 @@ make DESTDIR=$PKG install 2>&1 | tee $OUTPUT/install-${PRGNAM}.log
# Don't ship .la files:
rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+# Add 'X-DAW' category to the desktop file (for liveslak):
+for DESKTOPF in $PKG/usr/share/applications/*.desktop ; do
+ if ! grep -q X-DAW $DESKTOPF ; then
+ sed -i $DESKTOPF \
+ -e "s/^Categories=\(.*\)/Categories=X-DAW;\1/"
+ fi
+done
+
# Add this to the doinst.sh:
mkdir -p $PKG/install
cat <<EOINS >> $PKG/install/doinst.sh
@@ -235,9 +242,9 @@ cat $SRCDIR/slack-required > $PKG/install/slack-required
# Build the package:
cd $PKG
-makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-tgz} 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
+makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-txz} 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
cd $OUTPUT
-md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-tgz} > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-tgz}.md5
+md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-txz} > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-txz}.md5
cd -
cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.txt
cat $PKG/install/slack-required > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.dep